Subject: Re: linux-next: manual merge of the arm tree with Linus' tree

From: Russell King <[email-masked]>
Date: Tue, 13 Mar 2012 08:47:13 +0000

On Tue, Mar 13, 2012 at 09:36:30AM +0100, Ingo Molnar wrote:
> 
> * Russell King <[email-masked]> wrote:
> 
> > On Tue, Mar 13, 2012 at 07:16:22AM +0100, Ingo Molnar wrote:
> > > 
> > > * Stephen Rothwell <[email-masked]> wrote:
> > > 
> > > > Hi Russell,
> > > > 
> > > > Today's linux-next merge of the arm tree got a conflict in
> > > > kernel/sched/core.c between commit 8c79a045fd59 ("sched/events: Revert
> > > > trace_sched_stat_sleeptime()") from Linus' tree and commit 1cf00341547a
> > > > ("sched: Introduce the finish_arch_post_lock_switch() scheduler hook")
> > > > from the arm tree.
> > > > 
> > > > Just context changes.  I fixed it up (see below) and can carry the fix as
> > > > necessary.
> > > 
> > > This commit seems simple enough and has PeterZ's ack, but if 
> > > there are more scheduler patches coming in this area then 
> > > please send it to the scheduler tree first: we can create a 
> > > pullable, stable topic branch for it which the ARM tree can 
> > > then use.
> > > 
> > > That approach would also avoid conflicts as a side effect.
> > 
> > Please check your mailbox:
> 
> I'm aware of that old thread, I'd just prefer to hear about your 
> plans patching the scheduler *before* you commit it to 
> linux-next ;-)
> 
> Please make sure none of these scheduler patches go to the ARM 
> tree without a proper Git space solution that involves the 
> scheduler folks.

Sorry, you're blaming the wrong person.  I got the commit via a pull,
not via a patch.

If that's how you want to run your bit of the kernel, then please be more
responsive when you're sent patches and say how you want to handle things.
Don't ignore patches and then blame people when conflicts happen.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: